EnderDashEnderDash

Create Access Request

Create Access Request. This POST operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/organizations.createAccessRequest

Create Access Request. This POST operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

draft*
organizationId?string
organizationSlug?string
serverId?string|null
reason?string

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/organizations.createAccessRequest" \  -H "Content-Type: application/json" \  -d '{    "draft": {      "effect": 0,      "actions": [        0      ],      "scope": {        "scopeKind": "any"      }    }  }'
{  "result": {    "data": {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "organizationId": "string",      "status": "string",      "memberId": "string",      "serverId": "string",      "reason": "string",      "requestedByMemberId": "string",      "requestGrant": {        "$typeName": "enderdash.protocol.AuthorizationGrant",        "$unknown": [          {            "no": 0,            "wireType": 0,            "data": "string"          }        ],        "grantId": "string",        "effect": 0,        "actions": [          0        ],        "constraints": {          "$typeName": "enderdash.protocol.GrantConstraints",          "$unknown": [            {              "no": 0,              "wireType": 0,              "data": "string"            }          ],          "expiresAtMs": 0,          "remainingUses": 0,          "maxBytes": 0,          "maxRows": 0        },        "scope": {          "value": {            "$typeName": "enderdash.protocol.AnyScope",            "$unknown": [              {                "no": 0,                "wireType": 0,                "data": "string"              }            ]          },          "case": "any"        }      },      "approvedByMemberId": "string",      "createdGrantId": "string",      "resolvedAt": "2019-08-24T14:15:22Z"    }  }}